Skip to content

Retrieve the collection of all binder templates in your Vault.

GET/api/{version}/objects/binders/templates
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v22.3/objects/binders/templates
{ "responseStatus":"SUCCESS", "data":[ { "name__v": "study_site_level_file_tmf_rm_30__c", "label__v": "Study Site Level File TMF RM 2.0", "active__v": true, "type__v": "trial_master_file__v", "subtype__v": null, "classification__v": null, "filing_model__v": "0MO000000000101" }, { "name__v": "study_site_level_file_tmf_rm_20__c", "label__v": "Study Site Level File TMF RM 2.0", "active__v": "true", "type__v": "site_master_file__v", "subtype__v": null, "classification__v": null, "filing_model__v": "0MO000000000102" } ] }

The response lists all binder templates which have been added to the Vault. Shown above, two binder templates exist in our Vault. Both exist at the document type level and are intended for use with the compliance_package__v type. For information about the document template metadata, refer to the "Retrieve Binder Template Attributes" response below.